Bug 1117562 - Review Request: golang-github-tchap-go-patricia - A generic patricia trie implemented in Go
Summary: Review Request: golang-github-tchap-go-patricia - A generic patricia trie imp...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1055712 1116570 1118603 1124036
TreeView+ depends on / blocked
 
Reported: 2014-07-09 01:12 UTC by Lokesh Mandvekar
Modified: 2014-08-15 18:57 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-15 02:33:11 UTC
vbatts: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
spec tweaks (1.29 KB, patch)
2014-07-16 14:50 UTC, Vincent Batts
no flags Details | Diff

Description Lokesh Mandvekar 2014-07-09 01:12:45 UTC
Spec URL: http://lsm5.fedorapeople.org/golang-github-tchap-go-patricia/golang-github-tchap-go-patricia.spec
SRPM URL: http://lsm5.fedorapeople.org/golang-github-tchap-go-patricia/SRPMS/golang-github-tchap-go-patricia-1.0.1-1.fc21.src.rpm

Description: 
A generic patricia trie (also called radix tree) implemented in Go (Golang).

The patricia trie as implemented in this library enables fast visiting of
items in some particular ways:

1. visit all items saved in the tree,
2. visit all items matching particular prefix (visit subtree), or
3. given a string, visit all items matching some prefix of that string.

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7119206

Comment 1 Vincent Batts 2014-07-16 14:50:13 UTC
Created attachment 918446 [details]
spec tweaks

The attached patch addresses a couple of points:
* using the macros from the golang rpm
* preserving the timestamps of the copied source
* not owning directories that the golang rpm owns

Comment 2 Lokesh Mandvekar 2014-07-16 15:59:35 UTC
* Wed Jul 16 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.1-2
- From: Vincent Batts <vbatts@fedoraproject.org>
- use macros from golang >= 1.2.1-3
- preserve timestamps of copied source
- do not own directories owned by golang

Spec URL: http://lsm5.fedorapeople.org/golang-github-tchap-go-patricia/golang-github-tchap-go-patricia.spec

SRPM URL: http://lsm5.fedorapeople.org/golang-github-tchap-go-patricia/SRPMS/golang-github-tchap-go-patricia-1.0.1-2.fc22.src.rpm

Comment 4 Vincent Batts 2014-07-25 18:55:45 UTC
looks good

Comment 5 Gwyn Ciesla 2014-07-25 19:22:19 UTC
No SCM request.

Comment 6 Lokesh Mandvekar 2014-07-27 02:22:14 UTC
New Package SCM Request
=======================
Package Name: golang-github-tchap-go-patricia
Short Description: A generic patricia trie implemented in Go
Upstream URL: https://github.com/tchap/go-patricia
Owners: lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 7 Gwyn Ciesla 2014-07-28 12:16:03 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-07-30 20:48:49 UTC
golang-github-tchap-go-patricia-1.0.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-tchap-go-patricia-1.0.1-4.fc20

Comment 9 Fedora Update System 2014-07-30 20:57:07 UTC
golang-github-tchap-go-patricia-1.0.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-tchap-go-patricia-1.0.1-4.fc19

Comment 10 Fedora Update System 2014-07-30 22:12:50 UTC
golang-github-tchap-go-patricia-1.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-tchap-go-patricia-1.0.1-4.el6

Comment 11 Fedora Update System 2014-07-31 16:58:44 UTC
golang-github-tchap-go-patricia-1.0.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-08-15 02:33:11 UTC
golang-github-tchap-go-patricia-1.0.1-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-08-15 02:48:19 UTC
golang-github-tchap-go-patricia-1.0.1-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-08-15 18:57:23 UTC
golang-github-tchap-go-patricia-1.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.